class
	APPLICATION

create
	make

feature {NONE} -- Initialization
	make
			-- Run application.
		local
			dec: DECIMAL
			dob: DATE
			driver: DRIVER

			french_violation_date: DATE
			french_fine: DECIMAL
			french_violation: VIOLATION
			french_violations: ARRAYED_LIST [VIOLATION]

			us_violation_date: DATE
			us_fine: DECIMAL
			us_violation: VIOLATION
			us_violations: ARRAYED_LIST [VIOLATION]
		do
			create french_violation_date.make_month_day_year (12, 25, 2023)
			create french_fine.make_from_string ("123.45")
			create french_violation.make (french_violation_date, "Driving too slow", french_fine)
			create french_violations.make (32)
			french_violations.extend (french_violation)
			french_violations.extend (french_violation)

			create us_violation_date.make_month_day_year (10, 9, 2008)
			create us_fine.make_from_string ("678.90")
			create us_violation.make (us_violation_date, "Driving Miss Daisy", us_fine)
			create us_violations.make (32)
			us_violations.extend (us_violation)
			us_violations.extend (us_violation)
			us_violations.extend (us_violation)

			create dob.make_month_day_year (1, 1, 1950)
			create {FRENCH_US_DRIVER} driver.make_french_us_driver ("Bertrand Meyer", "1 Eiffel Tower, Paris, France", "25 Central Avenue, Santa Barbara, CA, USA", dob,
																	french_violations, us_violations)
			print (driver.out + "%N")
			print ("%NIntercontinental drivers%N")
		end

end
